> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Volume Sessions

> The caller's sessions that still block deleting the volume.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/training/volumes/{name}/sessions
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/volumes/{name}/sessions:
    get:
      tags:
        - training
      summary: List Volume Sessions
      description: The caller's sessions that still block deleting the volume.
      operationId: list_volume_sessions_api_v1_training_volumes__name__sessions_get
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
            title: Name
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Teamid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVolumeSessionsResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListVolumeSessionsResponse:
      properties:
        sessions:
          items:
            $ref: '#/components/schemas/VolumeSessionResponse'
          type: array
          title: Sessions
      type: object
      required:
        - sessions
      title: ListVolumeSessionsResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    VolumeSessionResponse:
      properties:
        id:
          type: string
          title: Id
        volumeName:
          type: string
          title: Volumename
        status:
          type: string
          title: Status
        readOnly:
          type: boolean
          title: Readonly
        sshConnection:
          anyOf:
            - type: string
            - type: 'null'
          title: Sshconnection
        gateway:
          anyOf:
            - $ref: '#/components/schemas/VolumeSessionGateway'
            - type: 'null'
        hostPublicKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Hostpublickey
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - volumeName
        - status
        - readOnly
        - createdAt
      title: VolumeSessionResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    VolumeSessionGateway:
      properties:
        host:
          type: string
          title: Host
        port:
          type: integer
          title: Port
        certSha256:
          type: string
          title: Certsha256
      type: object
      required:
        - host
        - port
        - certSha256
      title: VolumeSessionGateway
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.